/** \file QN_Precond.h */

#ifndef QN_PRECOND_H
#define QN_PRECOND_H

#include "DOFVector.h"

namespace AMDiS
{

  template<typename T>
    void diagPrecond(const DOFMatrix *A, DOFVector<T>* vec,
		     DOFVector<BoundaryType> *bound = NULL);

  template<typename T>
    void aXpY(double a, const DOFVector<T>& x, DOFVector<T>& y,
	      DOFVector<BoundaryType> *bound = NULL);

  template<typename T>
    void XpaY(double a, const DOFVector<T>& x, DOFVector<T>& y,
	      DOFVector<BoundaryType> *bound = NULL);

}

#include "QN_Precond.hh"
#endif // QN_PRECOND_H
